#include <msp430.h>
#include "large_var.h"

int main(void)
{
  unsigned int i;

  WDTCTL = WDTPW + WDTHOLD;		// Stop watchdog timer
#ifndef __MSP430FR5739__
  P1DIR |= BIT0;				// Set P1.0 to output direction
#else
  P3DIR |= BIT7;				// Set P3.7 to output direction
#endif

  while(1)
  {
    for(i=0 ; i<sizeof(large_var) ; i++)
    {
      if(large_var[i] == 0xDD)
      {
      #ifndef __MSP430FR5739__
        // toggle P1.0
        P1OUT ^= BIT0;
      #else
        // toggle P3.7
        P3OUT ^= BIT7;
      #endif
      }
      __delay_cycles(500);
    }
  }
}
